import stateEntityRenderingRegistry from '../../../slimmers/controllers/state-entity-rendering-registry';
import { VegaRTEBaseRenderer } from '../base-renderer';
export class RTEBlockRenderer extends VegaRTEBaseRenderer {
  registerRef(ref, block) {
    if (ref) {
      stateEntityRenderingRegistry.register(ref, block);
    }
  }
  /**
   * The attributes of the element rendered by the block
   *
   * @param {RTEBlock} block - RTE block entity
   * @returns {Record<string, string>} - element  props
   */
  getCustomAttrs(block) {
    var _a;
    return ((_a = block.getCustomAttributesAnnotation()) === null || _a === void 0 ? void 0 : _a.render()) || {};
  }
}
